
TYPO3.Flow - Bug # 32723

Status: Resolved Priority: Must have
Author: Robert Lemke Category: - Testing -
Created: 2011-12-20 Assigned To:
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity: easy
Affected Flow version: Git master
Subject: Files unit tests create but don't remove a lot of temporary files
Description

The tests in TYPO3\FLOW3\Tests\Unit\Utility\Files generate various temporary files through PHP's tempnam() function.

However, these files are never removed again, which led to our CI server having > 400,000 files in /tmp

The test case should use a subdirectory in $TMP and have a teardown method which removes that subdirectory recursively.

Associated revisions
Revision 78a7482a - 2011-12-20 14:43 - Adrian Föder

[BUGFIX] Unit tests remove their temporary files

Some unit tests create many temporary files outside vfs://
that are now removed after running the test.

Change-Id: I758ff86bb969fe11c734fc7dd9bba45f3b4b21c5
Fixes: #32723
Releases: 1.0, 1.1

Revision f95aa838 - 2011-12-21 16:32 - Adrian Föder

[BUGFIX] Unit tests remove their temporary files

Some unit tests create many temporary files outside vfs://
that are now removed after running the test.

Change-Id: I889d72649b4a55c54c96799cbe0768e9362e6110
Fixes: #32723
Releases: 1.0, 1.1

History
#1 - 2011-12-20 12:11 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Target version set to 1.1 beta 1

#2 - 2011-12-20 12:13 - Bastian Waidelich
- Assigned To deleted (Bastian Waidelich)

#3 - 2011-12-20 13:02 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7433

#4 - 2011-12-20 14:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7433

#5 - 2011-12-20 14:44 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7433

#6 - 2011-12-20 15:36 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:78a7482ac2927fc3898e25bf6edf011da4255240.

#7 - 2011-12-20 16:30 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7439

#8 - 2011-12-20 16:43 - Karsten Dambekalns
- Status changed from Under Review to Resolved

#9 - 2011-12-21 16:32 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7439

#10 - 2011-12-21 22:06 - Adrian Föder
- Status changed from Under Review to Resolved
Applied in changeset commit:f95aa8385b91967eb342513d08dbdbc4f87cb38e.
